## Передача команды и параметров по шине SPI ##

При передаче пакета
- Конец пакета "0" - поэтому он не используется в передаче, а означает конец передачи.
1) Byte команды.
2) Byte[] массив параметров.
3) Byte контрольной суммы.

## Команды ##
- **AddSimbol** -
 добавление нового символа и его параметров.

Команда: 0x04

Параметры: {символы} - от 1 до 64
[0x01,0x11]  


- **DelSimbol** -
 удаление символа и его параметров.

Команда: 0x05

Параметры: 0x01 - 0xFF - Число, сколько символов будет удалено.	

- **DrawPixel** -
 закрашивание пикселя.

Команда: 0x06

Параметры 0x01-0x80, 0x01-0x40, 0x01-0x02 вкл-выкл.

Пример: Установить пиксель в x = 3 , y = 17 , цвет - белый.

[0x06 0x03 0x11 0x01] 

- **DrawLine** -
 рисует линию.

Команда: 0x07

Параметры: x1,y1,x2,y2,цвет

Пример: Нарисовать линию в x1 = 2 , y1 = 2 , x2 = 5 , y2 =5 , цвет - белый.

[0x07 0x02 0x02 0x05 0x05 0x01]

- **DrawCircle** -
 рисует круг.

Команда: 0x08

Параметры: x,y,r,цвет

x,y - центр круга.

Пример: Нарисовать круг в x = 3, y = 15 , радиус = 10 , цвет - белый.

[0x08 0x03 0x0F 0x0A 0x01]

- **DrawRectangle** -
 рисует прямоугольник.

Команда: 0x09

Параметры: x,y,высота,ширина,цвет

x,y - верхняя левая точка.

Пример: Нарисовать прямоугольник в x = 5 , y = 10 , высота = 7 , ширина = 10 , цвет - белый.

[0x09 0x05 0x0A 0x07 0x0A 0x01]